package domain


type AlibabaRetailMarketingItempoolActivityQueryStairGroupDTO struct {
    /*
        分组序号     */
    Number  *int64 `json:"number,omitempty" `

    /*
        优惠门槛     */
    Condition  *AlibabaRetailMarketingItempoolActivityQueryStairConditionDTO `json:"condition,omitempty" `

    /*
        优惠效果     */
    Action  *AlibabaRetailMarketingItempoolActivityQueryActionDTO `json:"action,omitempty" `

    /*
        逻辑分组1的number为1，逻辑分组2的number为2，示例值[1&2]：代表同时满足逻辑分组1和逻辑分组2时才可享受优惠     */
    ConditionExpress  *string `json:"condition_express,omitempty" `

    /*
        逻辑分组1的number为1，逻辑分组2的number为2，示例值[1|2]：代表逻辑分组1或者逻辑分组2可以享受优惠     */
    ActionExpress  *string `json:"action_express,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityQueryStairGroupDTO) SetNumber(v int64) *AlibabaRetailMarketingItempoolActivityQueryStairGroupDTO {
    s.Number = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryStairGroupDTO) SetCondition(v AlibabaRetailMarketingItempoolActivityQueryStairConditionDTO) *AlibabaRetailMarketingItempoolActivityQueryStairGroupDTO {
    s.Condition = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryStairGroupDTO) SetAction(v AlibabaRetailMarketingItempoolActivityQueryActionDTO) *AlibabaRetailMarketingItempoolActivityQueryStairGroupDTO {
    s.Action = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryStairGroupDTO) SetConditionExpress(v string) *AlibabaRetailMarketingItempoolActivityQueryStairGroupDTO {
    s.ConditionExpress = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryStairGroupDTO) SetActionExpress(v string) *AlibabaRetailMarketingItempoolActivityQueryStairGroupDTO {
    s.ActionExpress = &v
    return s
}
